/*
 * <aisl/config.h>
 *
 * Copyright (c) 2017-2019 by Löwenware Ltd.
 *
 * Project homepage: https://lowenware.com/aisl/
 *
 */

#ifndef AISL_CONFIG_H_DB67A89B_5CAF_4A5F_AEB1_6DB9F84827D6
#define AISL_CONFIG_H_DB67A89B_5CAF_4A5F_AEB1_6DB9F84827D6

#include <stdint.h>


struct aisl_config
{
  uint32_t    server_spool_size;
  uint32_t    client_spool_size;
  uint32_t    ssl_spool_size;
  uint32_t    callback_spool_size;
  uint32_t    initial_buffer_size;
  uint32_t    client_accept_limit;
  uint32_t    client_silence_timeout;
};

typedef struct aisl_config * aisl_config_t;

#endif /* !AISL_CONFIG_H */
